Subject: bug#75569: 30.0.93; Large /proc/* file are read incompletely

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2025 13:34:54 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 19 Jan 2025 11:58:26 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Sat, 18 Jan 2025 09:35:34 -0800
> >> Cc: [email-masked]
> >> From: Paul Eggert <[email-masked]>
> >> 
> >> On 2025-01-18 02:44, Eli Zaretskii wrote:
> >> >> In other words, when reading a file Emacs should treat st_size as merely
> >> >> a heuristic, not as authoritative.
> >> > But does it do that now?  Regular files whose size changes as we read
> >> > them are pretty rare, so maybe we almost never bump into them.
> >> 
> >> No, it doesn't do it now, and that's the main bug here. Fix that, and 
> >> this other stuff isn't needed (and likely gets simplified away).
> >
> > Patches welcome, then.
> >
> > For now, I've installed a fix that Juri tested, to fix the regression.
> 
> Thank you! Are you going to install the fix on the emacs-30 branch if
> this is a regression, or has it been broken in 29 too?

I'm not going to install this on emacs-30 for now.  First, its' risky,
and it's too late for such changes on the release branch.  And second,
it doesn't seem to be a solution for this case, see my other message.